//package newpackage;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.Random;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * Clase AbrirArchivo
 * @author Olga Godoy
 * @author Alejandro Homes
 */
public class AbrirArchivo {
    private String s;
    private int n;
    private BufferedReader archivo;
    private Estudiante[] Estud;
    
    /**
     * Constructor, abre el archivo ubicado en ruta
     * @param ruta
     */
    public AbrirArchivo(String ruta){
   
        try {
            File f = new File(ruta);
            BufferedReader entrada = new BufferedReader(new FileReader(f));

            while ((s = entrada.readLine()) != null) {
                n++;
            }
            
            f=null;
                
            File a= new File(ruta);
            archivo = new BufferedReader( new FileReader( a ) );    
        
        } catch (IOException ex) {
            Logger.getLogger(AbrirArchivo.class.getName()).log(Level.SEVERE, null, ex);
        } 
}
    
    /**
     * llena el arreglo estudiante
     * @return arreglo del tipo Estudiante
     */
    public Estudiante[] llenarArregloEstud(){

        
        int i;
        String name;
        String texto = new String();
        Estud = new Estudiante[n];
                
            int j=0;
            for(i=0; i<=n;i++){  
            try {
                if ((name = archivo.readLine()) != null) {
                                       
                    Estud[i] = new Estudiante(name, i);
                    texto += name;
               
                }
            } catch (IOException ex) {
                Logger.getLogger(AbrirArchivo.class.getName()).log(Level.SEVERE, null, ex);
            }
                   
            }    
        return(Estud);
    } 
  
    /**
     * realiza un random
     * @param estu 
     */
    public void Randomm(Estudiante[] estu){
        
        int l;
            for(l=0; l<n;l++){  
               
                    int n_max = 100;

                    Random ran = new Random();
                    float indice_ran = ran.nextInt(n_max + 1);
                    
                    estu[l].setprom(indice_ran);
                   
            }
           
   }
}
 
