//package newpackage;

/**
 * clase abstracta que establece metodos de busqueda
 */
public  abstract class Buscador {
        /**
     * Cuando sea sobrescrita debera definir la forma de busqueda
     * @param A Arreglo donde se buscara 
     * @param obj Objeto que se buscara
     * @return indice del objeto cuando es encontrado en el arreglo
     */
    public abstract int[] buscar(Object [] A, String obj);
    
    /**
     * @return numero de comparaciones realizadas para encontrar el objeto
     */
    public abstract int getNumComparaciones();

    

}
