//package newpackage;

/**
 * Clase ColorPane, extiende de JTextPane, se agrega el metodo append
 * @author Olga Godoy
 * @author Alejandro Homes
 */
import java.awt.Color;

import javax.swing.JTextPane;
import javax.swing.text.AttributeSet;
import javax.swing.text.SimpleAttributeSet;
import javax.swing.text.StyleConstants;
import javax.swing.text.StyleContext;

public class ColorPane extends JTextPane {
    
    public void append(Color c, String s) { 
        StyleContext sc = StyleContext.getDefaultStyleContext();
        AttributeSet aset = sc.addAttribute(SimpleAttributeSet.EMPTY,StyleConstants.Background, c);
        
        setCharacterAttributes(aset, false);
        replaceSelection(s); 
    }
}
