//package newpackage;

import java.util.Scanner;
import java.util.StringTokenizer;

/**
 *Clase LinearSearcher que extiende de Buscador
 * @author Olga Godoy
 * @author Alejandro Homes
 */
class LinearSearcher extends Buscador {
    private int comparaciones;

    /**
    *@param A lista de objetos
    *@param obj objeto a buscar en la lista
    *@return posicion del objeto encontrado, -1 si no lo encuentra
    */
    @Override
    public int[] buscar(Object[] A, String obj) {
        int i, j=0;
        int[] indice = new int[A.length-1];
        
        Estudiante[] Estud_a = (Estudiante[]) A;
        
        for ( i = 0; i < A.length ; i++)  
        {  
            Scanner sc = new Scanner(Estud_a[i].getName());
            StringTokenizer s = new StringTokenizer(Estud_a[i].getName());
            for (int k=1 ; k<=s.countTokens() ; k++)
            {
                //System.out.println(s.next());
                if (obj.equals(sc.next())){
                    
                    Estud_a[i].setindice(i);
                    indice[j++] = i;
                }
            }
        }
        int[] aux=new int[j+1];
        for (int a = 0; a < j+1 ; a++)  
        { 
            if (indice[a] != 0)
               aux[a]=indice[a];
            
            if (indice[0]==0)
                aux[0]=indice[0];
        }
        return aux;
    }
    /**
    *@return retorna las comparaciones realizadas
    */
    @Override
    public int getNumComparaciones() {
        return(comparaciones);
    }

}
