//package newpackage;

/**
 * Clase Estudiante
 * @author Olga Godoy
 * @author Alejandro Homes
 */
public class Estudiante extends Persona implements Comparable {
    private int indice_busc;
 
    
    public Estudiante(String nombre, float promedioPonderado) {
        super(nombre);
        pp= (int) promedioPonderado;
        indice_busc = -1;
    }
    
    public int getPromedioPonderado() {
        return (int) pp;
    }
    
    public void setprom(float num){
        pp=(int) num;
    }
    
    public int getindice(){
        return indice_busc;
    }
    public void setindice(float num){
        indice_busc=(int) num;
    }
    
    private int pp;

    public int compareTo2(Object other) {
        
        Estudiante Estud = (Estudiante) other;
        
        if (getPromedioPonderado() > Estud.getPromedioPonderado()){
            return 1;
        } else {
            return 0;
        }

    }

    public int compareTo1 (Object other) {

        Estudiante Estud = (Estudiante) other;

        return (getName().compareTo(Estud.getName()));
        
    }

    public boolean equals(Object other) {

        Estudiante Estud = (Estudiante) other;

        if (getName().equals(Estud.getName())) {

            return true;
        } else {
            return false;
        }


    }
    /**
     * 
     * @return Retorna un clon del objeto, para generar 2 listas iguales pero independientes
     */
    public Object clone()
    {
        Object clone = null;
        try
        {
            clone = super.clone();
        }
        catch(CloneNotSupportedException e)
        {
            // No deberia suceder
        }
        
        return clone;
}

}
